Bug 1185082 - Review Request: golang-github-golang-appengine - Go App Engine for Managed VMs
Summary: Review Request: golang-github-golang-appengine - Go App Engine for Managed VMs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1185076
Blocks: 1185281
TreeView+ depends on / blocked
 
Reported: 2015-01-22 20:57 UTC by Jan Chaloupka
Modified: 2015-02-14 02:46 UTC (History)
1 user (show)

Fixed In Version: golang-github-golang-appengine-0-0.1.git1c3fdc5.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-06 04:01:41 UTC
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2015-01-22 20:57:37 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-golang-appengine/golang-github-golang-appengine.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-golang-appengine/golang-github-golang-appengine-0-0.1.git1c3fdc5.fc20.src.rpm

Description: Go App Engine for Managed VMs

Fedora Account System Username: jchaloup

$ rpmlint golang-github-golang-appengine-0-0.1.git1c3fdc5.fc20.src.rpm golang-github-golang-appengine-devel-0-0.1.git1c3fdc5.fc20.noarch.rpm golang-github-golang-appengine.spec
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Koji: build depends on github.com/golang/protobuf (bz#1185076), locally builds fine.

Upstream: https://github.com/golang/appengine

Comment 1 Lokesh Mandvekar 2015-01-25 01:54:48 UTC
- Spec file conforms to current golang packaging draft
- license correct and valid
- only sources installed for now.

Package approved.

You might wanna also Provide: golang(%{import_path}...) in addition to golang(%{rimport_path}...) I guess, but that's not a blocker.

Comment 2 Jan Chaloupka 2015-01-26 13:28:38 UTC
New Package SCM Request
=======================
Package Name: golang-github-golang-appengine
Short Description: Go App Engine for Managed VMs
Upstream URL: https://github.com/golang/appengine
Owners: jchaloup lsm5
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 3 Gwyn Ciesla 2015-01-26 14:07:42 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-01-27 08:40:08 UTC
golang-github-golang-appengine-0-0.1.git1c3fdc5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-golang-appengine-0-0.1.git1c3fdc5.fc20

Comment 5 Fedora Update System 2015-01-27 08:43:05 UTC
golang-github-golang-appengine-0-0.1.git1c3fdc5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-golang-appengine-0-0.1.git1c3fdc5.fc21

Comment 6 Fedora Update System 2015-01-27 08:45:10 UTC
golang-github-golang-appengine-0-0.1.git1c3fdc5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-golang-appengine-0-0.1.git1c3fdc5.el6

Comment 7 Fedora Update System 2015-01-27 19:31:32 UTC
Package golang-github-golang-appengine-0-0.1.git1c3fdc5.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing golang-github-golang-appengine-0-0.1.git1c3fdc5.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0471/golang-github-golang-appengine-0-0.1.git1c3fdc5.el6
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-02-06 04:01:41 UTC
golang-github-golang-appengine-0-0.1.git1c3fdc5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-02-06 04:02:23 UTC
golang-github-golang-appengine-0-0.1.git1c3fdc5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-02-14 02:46:17 UTC
golang-github-golang-appengine-0-0.1.git1c3fdc5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.